All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::device_specific::tree_parsing::traversal_functor Class Reference

base functor class for traversing a statement More...

`#include <tree_parsing.hpp>`

Inheritance diagram for viennacl::device_specific::tree_parsing::traversal_functor:

## Public Member Functions

void | call_before_expansion (scheduler::statement const &, vcl_size_t) const
void | call_after_expansion (scheduler::statement const &, vcl_size_t) const

## Detailed Description

base functor class for traversing a statement

Definition at line 44 of file tree_parsing.hpp.

## Member Function Documentation

void viennacl::device_specific::tree_parsing::traversal_functor::call_after_expansion | ( | scheduler::statement const & | ,
|  | vcl_size_t |
| ) |  | const

inline

Definition at line 48 of file tree_parsing.hpp.

void viennacl::device_specific::tree_parsing::traversal_functor::call_before_expansion | ( | scheduler::statement const & | ,
|  | vcl_size_t |
| ) |  | const

inline

Definition at line 47 of file tree_parsing.hpp.

The documentation for this class was generated from the following file:

- viennacl/device_specific/tree_parsing.hpp